Package org.eclipse.m2m.atl.emftvm.util

# Class LazyCollection.IntegerRangeListIterator

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<Integer>
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyListIterator<Integer>
org.eclipse.m2m.atl.emftvm.util.LazyCollection.IntegerRangeListIterator

All Implemented Interfaces:
  `Iterator<Integer>`, `ListIterator<Integer>`

Enclosing class:
  `LazyCollection<E>`

public static class LazyCollection.IntegerRangeListIterator extends LazyCollection.ReadOnlyListIterator<Integer>
`LazyCollection.ReadOnlyIterator` for `Integer` ranges.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`first`
`protected int`
`index`
`protected final int`
`last`

## Constructor Summary

Constructors
Constructor
Description
`IntegerRangeListIterator(int first, int last)`
Creates a new `LazyCollection.IntegerRangeListIterator`.
`IntegerRangeListIterator(int first, int last, int index)`
Creates a new `LazyCollection.IntegerRangeListIterator`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`boolean`
`hasPrevious()`
`Integer`
`next()`
`int`
`nextIndex()`
`Integer`
`previous()`
`int`
`previousIndex()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyListIterator

`add, set`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Methods inherited from interface java.util.ListIterator

`remove`

## Field Details

### first

protected final int first

### last

protected final int last

### index

protected int index

## Constructor Details

### IntegerRangeListIterator

public IntegerRangeListIterator(int first, int last)
Creates a new `LazyCollection.IntegerRangeListIterator`.

Parameters:
  `first` - the first element of the range
  `last` - the last element of the range

### IntegerRangeListIterator

public IntegerRangeListIterator(int first, int last, int index)
Creates a new `LazyCollection.IntegerRangeListIterator`.

Parameters:
  `first` - the first element of the range
  `last` - the last element of the range
  `index` - the starting index of the list iterator

## Method Details

### hasNext

public boolean hasNext()

### next

public Integer next()

### hasPrevious

public boolean hasPrevious()

### previous

public Integer previous()

### nextIndex

public int nextIndex()

### previousIndex

public int previousIndex()